directoryObject: getAvailableExtensionProperties
Namespace: microsoft.graph
Return all or a filtered list of the directory extension properties that have been registered in a directory. The following entities support extension properties: user, group, organization, device, application, and servicePrincipal.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Directory.Read.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Directory.Read.All |
HTTP request
POST /directoryObjects/getAvailableExtensionProperties
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json. Required. |
Request body
In the request body, supply JSON representation of the parameters.
The following table shows the parameters that can be used with this action.
| Parameter | Type | Description |
|---|---|---|
| isSyncedFromOnPremises | Boolean | true to specify that only extension properties that are synced from the on-premises directory should be returned; false to specify that only extension properties that are not synced from the on-premises directory should be returned. If the parameter is omitted, all extension properties (both synced and non-synced) are returned. |
Response
If successful, this action returns a 200 OK response code and an extensionProperty collection in the response body.
Examples
Request
POST https://graph.microsoft.com/v1.0/directoryObjects/getAvailableExtensionProperties
Content-Type: application/json
{
"isSyncedFromOnPremises": true
}
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#Collection(extensionProperty)",
"value": [
{
"@odata.type": "#microsoft.graph.extensionProperty",
"id": "d6a8bfec-893d-46e4-88fd-7db5fcc0fa62",
"deletedDateTime": null,
"appDisplayName": "SampleApp",
"name": "extension_4d405aa8baa04fb494d3e0571fd9fd71_skypeId",
"dataType": "String",
"isSyncedFromOnPremises": false,
"targetObjects": [
"User"
]
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk